For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTAttach a file to contract
      • GETGet worker invite link
      • GETPreview a contract agreement
      • DELRemove invite
      • GETRetrieve contractor payment dates
      • POSTSend contract to worker
      • POSTSign a contract
LogoLogo
SupportDeel Home
EndpointsContractor Hiring

Attach a file to contract

POST
/contracts/:contract_id/documents
POST
/rest/v2/contracts/:contract_id/documents
$curl -X POST https://api.letsdeel.com/rest/v2/contracts/37nex2x/documents \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
1{
2 "data": {
3 "key": "attachments/2024/06/contract_agreement_37nex2x_001.pdf",
4 "filename": "contract_agreement.pdf"
5 }
6}

Uploads a file and attaches it as a document to the specified contract by creating an amendment with the attachment. Only supported for ongoing_time_based, milestones, payg_tasks, time_based, pay_as_you_go_time_based, and eor contract types. Token scopes: contracts:write

Was this page helpful?
Previous

Get worker invite link

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Request

A form to attach a file to contract document.
filefileOptional
Upload the file you want to attach to this entry.

Response

Successful operation.
dataobject or null
This object is used for linking file attachments to your records.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication